@echo off

rem S  42x42 
rem M  85x85
rem L  180x180
rem LL 232x232
rem 3L 500x500
rem 4L 1024x1024
rem convert -define jpeg:size=180x120 -resize 180x120 src.jpg dst.jpg
rem jpeg png

%~d0
cd %~dp0
pushd %~dp0

if exist wac_progress.log exit
if exist wac_total.log exit

setlocal enabledelayedexpansion
set convert_bin=im\convert.exe
set progress=0

dir /s /b /a-H /a-D ^| findstr /r /c:".*\.jpg$" /c:".*\.JPG" /c:".*\.png$" /c:".*\.PNG$" /c:".*\.gif$" /c:".*\.GIF$" ^| findstr /V ".webaxs" ^| findstr /V "trashbox" | find /v /c "" > wac_total.log

for /f "usebackq" %%i in (`dir /s /b /a-H /a-D ^| findstr /r /c:".*\.jpg$" /c:".*\.JPG" /c:".*\.png$" /c:".*\.PNG$" /c:".*\.gif$" /c:".*\.GIF$" ^| findstr /V ".webaxs" ^| findstr /V "trashbox" `) do (
  echo creating thumbnail of %%i ...
  
  if not exist %%~dpi.webaxs\thumbnail mkdir %%~dpi.webaxs\thumbnail
  if not exist %%~dpi.webaxs\thumbnail\%%~nxi.S.jpg (
    %convert_bin% -define jpeg:size=42x42 -resize 42x42 %%i %%~dpi.webaxs\thumbnail\%%~nxi.S.jpg
  )
  if not exist %%~dpi.webaxs\thumbnail\%%~nxi.M.jpg (
    %convert_bin% -define jpeg:size=85x85 -resize 85x85 %%i %%~dpi.webaxs\thumbnail\%%~nxi.M.jpg
  )
  if not exist %%~dpi.webaxs\thumbnail\%%~nxi.L.jpg (
    %convert_bin% -define jpeg:size=180x180 -resize 180x180 %%i %%~dpi.webaxs\thumbnail\%%~nxi.L.jpg
  )
  if not exist %%~dpi.webaxs\thumbnail\%%~nxi.LL.jpg (
    %convert_bin% -define jpeg:size=232x232 -resize 232x232 %%i %%~dpi.webaxs\thumbnail\%%~nxi.LL.jpg
  )
  if not exist %%~dpi.webaxs\thumbnail\%%~nxi.3L.jpg (
    %convert_bin% -define jpeg:size=500x500 -resize 500x500 %%i %%~dpi.webaxs\thumbnail\%%~nxi.3L.jpg
  )
  if not exist %%~dpi.webaxs\thumbnail\%%~nxi.4L.jpg (
    %convert_bin% -define jpeg:size=1024x1024 -resize 1024x1024 %%i %%~dpi.webaxs\thumbnail\%%~nxi.4L.jpg
  )
  SET /a progress=progress+1
  rem echo !progress!
  echo !progress! > wac_progress.log
  echo %%~nxi >> wac_progress.log
)
